Skip to main content

## Value

# Type Alias Value

Source

    pub type Value<'tcx> = Result<&'tcx Canonical<'tcx, QueryResponse<'tcx, NormalizationResult<'tcx>>>, NoSolution>;

## Aliased Type§

    pub enum Value<'tcx> {
        Ok(&'tcx Canonical<TyCtxt<'tcx>, QueryResponse<'tcx, NormalizationResult<'tcx>>>),
        Err(NoSolution),
    }

## Variants§

§

### Ok(&'tcx Canonical<TyCtxt<'tcx>, QueryResponse<'tcx, NormalizationResult<'tcx>>>)

Contains the success value

§

### Err(NoSolution)

Contains the error value

## Layout§

Note: Unable to compute type layout, possibly due to this type having generic parameters. Layout can only be computed for concrete, fully-instantiated types.